-- comment this
SET CLIENT_ENCODING TO Latin1;


CREATE TABLE tmp_scmplugin (
plugin_name text,
project_id int);
COPY tmp_scmplugin FROM '/tmp/gf5/scmplugin';

COPY project FROM '/tmp/gf5/project';
SELECT SETVAL('project_project_id_seq',(SELECT max(project_id) FROM project));
COPY country_code FROM '/tmp/gf5/country_code';
INSERT INTO language (language_id,name,filename, language_code) values (1,'English','Base.tab','en');
SELECT SETVAL('language_language_id_seq',(SELECT max(language_id) FROM language));
INSERT INTO theme (theme_id, dirname, fullname) values (1,'gforge5','GForge 5 default theme');
SELECT SETVAL('theme_theme_id_seq',(SELECT max(theme_id) FROM theme));
COPY "user" FROM '/tmp/gf5/user';
SELECT SETVAL('user_user_id_seq',(SELECT max(user_id) FROM "user"));
COPY site_admin FROM '/tmp/gf5/site_admin';
COPY monitor FROM '/tmp/gf5/monitor';
COPY audit_trail FROM '/tmp/gf5/audit_trail';
SELECT SETVAL('audit_trail_audit_trail_id_seq',(SELECT max(audit_trail_id) FROM audit_trail));
COPY user_unix FROM '/tmp/gf5/user_unix';
COPY project_scm FROM '/tmp/gf5/project_scm';
COPY forum FROM '/tmp/gf5/forum';
SELECT SETVAL('forum_forum_id_seq',(SELECT max(forum_id) FROM forum));
COPY forum_thread FROM '/tmp/gf5/forum_thread';
SELECT SETVAL('forum_thread_forum_thread_id_seq',(SELECT max(forum_thread_id) FROM forum_thread));
COPY forum_message FROM '/tmp/gf5/forum_message';
SELECT SETVAL('forum_message_forum_message_id_seq',(SELECT max(forum_message_id) FROM forum_message));
COPY frs_package FROM '/tmp/gf5/frs_package';
SELECT SETVAL('frs_package_frs_package_id_seq',(SELECT max(frs_package_id) FROM frs_package));
COPY frs_release FROM '/tmp/gf5/frs_release';
SELECT SETVAL('frs_release_frs_release_id_seq',(SELECT max(frs_release_id) FROM frs_release));
COPY mailman FROM '/tmp/gf5/mailman';
SELECT SETVAL('mailman_mailman_id_seq',(SELECT max(mailman_id) FROM mailman));
 drop trigger news_insert_trigg on news;
COPY news FROM '/tmp/gf5/news';
SELECT SETVAL('news_news_id_seq',(SELECT max(news_id) FROM news));
INSERT INTO forum (section,ref_id,forum_name,description) SELECT
	'news',news_id,'news-'||news_id,summary FROM news;
COPY user_session FROM '/tmp/gf5/user_session';
COPY survey_question FROM '/tmp/gf5/survey_question';
SELECT SETVAL('survey_question_survey_question_id_seq',(SELECT max(survey_question_id) FROM survey_question));
COPY survey FROM '/tmp/gf5/survey';
SELECT SETVAL('survey_survey_id_seq',(SELECT max(survey_id) FROM survey));
COPY survey_response FROM '/tmp/gf5/survey_response';
insert into trove_category(trove_category_id,root_trove_category_id,
	parent_trove_category_id,alias,category_name,description) 
	values (0,0,0,'root','Root Cat','Root Category');
COPY trove_category FROM '/tmp/gf5/trove_cat';
SELECT SETVAL('trove_category_trove_category_id_seq',(SELECT max(trove_category_id) FROM trove_category));
COPY trove_link FROM '/tmp/gf5/trove_link';
COPY role FROM '/tmp/gf5/role';
SELECT SETVAL('role_role_id_seq',(SELECT max(role_id) FROM role));
COPY role_setting FROM '/tmp/gf5/role_setting';
COPY user_project FROM '/tmp/gf5/user_project';
COPY tracker FROM '/tmp/gf5/tracker';
SELECT SETVAL('tracker_tracker_id_seq',(SELECT max(tracker_id) FROM tracker));
--missing parent_id in tracker_item
COPY tracker_item FROM '/tmp/gf5/tracker_item';
SELECT SETVAL('tracker_item_tracker_item_id_seq',(SELECT max(tracker_item_id) FROM tracker_item));
COPY tracker_time_code FROM '/tmp/gf5/tracker_time_code';
SELECT SETVAL('tracker_time_code_tracker_time_code_id_seq',
	(SELECT max(tracker_time_code_id) FROM tracker_time_code));
COPY tracker_item_assignee FROM '/tmp/gf5/tracker_item_assignee';
COPY tracker_item_message FROM '/tmp/gf5/tracker_item_message';
SELECT SETVAL('tracker_item_message_tracker_item_message_id_seq',
	(SELECT max(tracker_item_message_id) FROM tracker_item_message));
COPY tracker_canned_response FROM '/tmp/gf5/tracker_canned_response';
SELECT SETVAL('tracker_canned_response_tracker_canned_response_id_seq',
	(SELECT max(tracker_canned_response_id) FROM tracker_canned_response));
COPY activity_log FROM '/tmp/gf5/activity_log';
COPY cron_history FROM '/tmp/gf5/cron_history';
COPY tracker_extra_field FROM '/tmp/gf5/tracker_extra_field';
SELECT SETVAL('tracker_extra_field_tracker_extra_field_id_seq',
	(SELECT max(tracker_extra_field_id) FROM tracker_extra_field));
COPY tracker_extra_field_element FROM '/tmp/gf5/tracker_extra_field_element';
SELECT SETVAL('tracker_extra_field_element_element_id_seq',
	(SELECT max(element_id) FROM tracker_extra_field_element));
COPY tracker_extra_field_data FROM '/tmp/gf5/tracker_extra_field_data';
SELECT SETVAL('tracker_extra_field_data_tracker_extra_field_data_id_seq',
	(SELECT max(tracker_extra_field_data_id) FROM tracker_extra_field_data));
COPY project_join_request FROM '/tmp/gf5/project_join_request';
COPY scm_commit FROM '/tmp/gf5/scm_commit';
SELECT SETVAL('scm_commit_scm_commit_id_seq',
        (SELECT max(scm_commit_id) FROM scm_commit));
COPY scm_commit_file FROM '/tmp/gf5/scm_commit_file';
COPY tracker_item_scm_commit FROM '/tmp/gf5/tracker_item_scm_commit';
COPY tracker_query FROM '/tmp/gf5/tracker_query';
SELECT SETVAL('tracker_query_tracker_query_id_seq',(SELECT max(tracker_query_id) FROM tracker_query));
COPY tracker_query_field FROM '/tmp/gf5/tracker_query_field';
UPDATE tracker SET item_total=coalesce((SELECT count(*) FROM tracker_item WHERE tracker_id=tracker.tracker_id),0),
	open_count=coalesce((SELECT count(*) FROM tracker_item WHERE tracker_id=tracker.tracker_id AND status_id=1),0);

COPY user_blog FROM '/tmp/gf5/user_blog';
INSERT INTO forum (section,ref_id,forum_name,description) SELECT
        'userblog',user_blog_id,'userblog-'||user_blog_id,subject FROM user_blog;
UPDATE forum_thread SET message_count=coalesce((SELECT count(*) FROM forum_message 
	WHERE forum_thread_id=forum_thread.forum_thread_id),0),
	most_recent_date=coalesce((SELECT max(post_date) FROM forum_message 
	WHERE forum_thread_id=forum_thread.forum_thread_id),now());
UPDATE forum SET thread_count=coalesce((SELECT count(*) FROM forum_thread where forum_id=forum.forum_id),0),
	message_count=coalesce((SELECT count(*) FROM forum_message 
	WHERE forum_thread_id IN (select forum_thread_id from forum_thread 
	where forum_id=forum.forum_id)),0),
	most_recent_date=coalesce((SELECT max(most_recent_date) FROM forum_thread WHERE forum_id=forum.forum_id),now());

COPY filesystem FROM '/tmp/gf5/filesystem.table';
SELECT setval('filesystem_filesystem_id_seq',(SELECT MAX(filesystem_id) FROM filesystem));
COPY filesystem_download FROM '/tmp/gf5/filesystem_download';
update filesystem set download_count=(select count(*) from filesystem_download 
WHERE filesystem.filesystem_id=filesystem_download.filesystem_id);

COPY docman_folder FROM '/tmp/gf5/tmp_docman_folder';
SELECT setval('docman_folder_docman_folder_id_seq',(SELECT max(docman_folder_id) FROM docman_folder));
update tracker_extra_field_element set status_id=0 WHERE status_id=2;
update tracker_item set status_id=0 WHERE status_id=2;

update role_setting set section='tracker' where section='trackeradmin';
update role_setting set section='forum' where section='forumadmin';
update role_setting set value=1 where section='projectadmin' AND value='A';
update tracker_extra_field set use_in_quick_browse=true where field_type=7;

COPY stats_project_page_view FROM '/tmp/gf5/stats_project_page_view';
COPY stats_site_page_view FROM '/tmp/gf5/stats_site_page_view';

UPDATE "user" SET lastname=' ' WHERE lastname IS NULL;

INSERT INTO docman_file (docman_file_id,docman_folder_id,description,is_locked)
        SELECT filesystem_id,ref_id,' v1 ',false FROM filesystem WHERE section='docmanfolder';

SELECT setval('docman_file_docman_file_id_seq',(select max(docman_file_id) FROM docman_file));

CREATE TABLE tmp_docman_description (docid int, filename text,description text);
COPY tmp_docman_description FROM '/tmp/gf5/docman_description';
UPDATE docman_file SET description=(select description from tmp_docman_description WHERE docid=docman_file.docman_file_id);
DROP TABLE tmp_docman_description;

INSERT INTO docman_file_version (docman_file_id,create_date,changes,version_number,created_by)
        SELECT filesystem_id,now(),' v1 ','1',posted_by FROM filesystem WHERE section='docmanfolder';

update filesystem set ref_id=(select docman_file_version_id FROM docman_file_version
        WHERE docman_file_id=filesystem.filesystem_id) WHERE section='docmanfolder';

update filesystem set section='docmanfileversion' where section='docmanfolder';

--mv /var/lib/gforge/filesystem/docmanfolder/ /var/lib/gforge/filesystem/docmanfileversion

update tracker_extra_field_element set default_selected = true where element_name='Open';
update tracker_item set priority=((priority-6)*(-1));

insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('forum','Discussion Forums','project',1);
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('tracker','Issue and Task Tracker','project',2);
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('docman','Document Manager','project',3);
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('news','News System','project',4);
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('frs','File Release System','project',6);
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('mailman','Mailman Lists','project',8);
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('wiki','Wiki','project',9);
insert into project_plugin(project_id,plugin_id,plugin_order) select project.project_id, plugin.plugin_id, plugin.plugin_order FROM plugin, project;
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order,exclusive_type) 
	values ('scmcvs','CVS Repository','project',9,'scm');
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order,exclusive_type) 
	values ('scmsvn','SVN Repository','project',10,'scm');
INSERT INTO project_plugin (project_id,plugin_id,plugin_order) SELECT t.project_id,p.plugin_id,10 
	FROM plugin p, tmp_scmplugin t WHERE p.plugin_name=t.plugin_name;
insert into plugin (plugin_name,plugin_desc,plugin_type,plugin_order) values ('snippet','Code snippets','site',9);

update "user" set lastname=' ' where lastname is null;
