CREATE TABLE cruisecontrol_platform_tracker_item (
    cruisecontrol_platform_id integer NOT NULL,
    tracker_item_id integer NOT NULL
);

CREATE INDEX cruisecontrolplatformtrackeritem_cruisecontrolplatformidtrackeritemid
	ON cruisecontrol_platform_tracker_item USING btree (cruisecontrol_platform_id, tracker_item_id);

ALTER TABLE ONLY cruisecontrol_platform_tracker_item
    ADD CONSTRAINT cruisecontrol_platform_tracker_item_pkey PRIMARY KEY (cruisecontrol_platform_id, tracker_item_id);

ALTER TABLE ONLY cruisecontrol_platform_tracker_item
    ADD CONSTRAINT cruisecontrolplatformid_fk FOREIGN KEY (cruisecontrol_platform_id) REFERENCES cruisecontrol_platform(cruisecontrol_platform_id) ON DELETE CASCADE;

ALTER TABLE ONLY cruisecontrol_platform_tracker_item
    ADD CONSTRAINT trackeritemid_fk FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


ALTER TABLE "user" ADD COLUMN external_id TEXT;
ALTER TABLE "user" ADD COLUMN last_login TIMESTAMPTZ;
ALTER TABLE "user" ALTER COLUMN last_login SET DEFAULT now();
UPDATE "user" SET last_login=now();

