<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * SOAP plugin for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


require_once('lib/external/nusoap.php');

if (isset($_GET['wsdl'])) {
	$wsdl = true;
} else {
	$wsdl = null;
}

$session = Session::getSession();

$http = GFUrl::getUrlPrefix();
$host = GFConf::get('system.hostName');

// Comment out, only for testing
$uri = $http.$host;
//$uri = "http://gforge.org";
$endpoint = $http.$host.'/gf/xmlcompatibility/soap5/';

$server = new soap_server();
$server->configureWSDL('GForgeAPI', 'http://gforgegroup.com', $endpoint, 'rpc', 'http://schemas.xmlsoap.org/soap/http', 'http://gforgegroup.com');

require_once('plugins/xmlcompatibility/lib/soap5/core/AssociationSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/CoreSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/LoginSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/ThemeSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/LanguageSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/CountryCodeSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/DiskUsageSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/UserSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/ProjectTemplateSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/ProjectSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/AuditTrailSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/FilesystemSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/core/TagsSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/frs/FrsPackageSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/frs/FrsReleaseSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/frs/FrsReleaseStatusSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/frs/FrsProjectSettingSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/docman/DocmanFileSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/docman/DocmanFileVersionSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/docman/DocmanFolderSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/docman/DocmanProjectSettingSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerExtraFieldSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerExtraFieldElementSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerExtraFieldDataSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerItemAssigneeSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerItemMessageSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerItemScmCommitSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerItemTimeSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerMyQueueSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerItemDuplicateSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerItemRelationSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerItemSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerQuerySOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerQueryFieldSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/tracker/TrackerTimeCodeSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/cruisecontrol/CruisecontrolAssigneeSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/cruisecontrol/CruisecontrolBuildChangeUserSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/cruisecontrol/CruisecontrolBuildSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/cruisecontrol/CruisecontrolDefectSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/cruisecontrol/CruisecontrolPublisherSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/cruisecontrol/CruisecontrolSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/scm/ProjectScmSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/forum/ForumSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/forum/ForumThreadSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/forum/ForumMessageSOAP.php');

/* comment by jyerfino, this functionality it not yet mature 
require_once('plugins/xmlcompatibility/lib/soap5/scm/ScmModuleSOAP.php');
require_once('plugins/xmlcompatibility/lib/soap5/jabber/JabberProjectLogSOAP.php');
*/

if ($wsdl) {
	header('Content-Type: text/xml; charset=iso-8859-1');
	$wsdl_data = $server->wsdl->serialize();
	echo $wsdl_data;
	return;
}
//$server->debug_flag=true;
$GLOBALS['HTTP_RAW_POST_DATA'] = isset($GLOBALS['HTTP_RAW_POST_DATA']) ? $GLOBALS['HTTP_RAW_POST_DATA'] : '';
$server->service($GLOBALS['HTTP_RAW_POST_DATA']);

?>

