<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

//
// This code shows a form for Project
//
$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/SiteTemplate.php');
$theme = new SiteTemplate();

$params = array(
		'selectedtoptab' => 'my',
		'selectedbottomtab' => 'core',
		'title' => $Lang->getText('User.PostRegisterTitle')
		);

$theme->header($params);

if (GFConf::get('system.approveUsers')) {
	echo $Lang->getText('User.PostRegisterTextApprove', array(GFConf::get('system.name')));
} else {
	echo $Lang->getText('User.PostRegisterText', array(GFConf::get('system.name')));
}

$theme->footer($params);
?>