<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('SnippetEditAction') ?>" method="POST" enctype="multipart/form-data">
	<input type="hidden" name="snippet_id" value="<?php echo $_REQUEST['snippet_id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Snippet.NameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="name" value="<?php echo $name; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Snippet.DescriptionName'); ?></strong><span class="required">*</span><br />
			<textarea name="description" rows="10" cols="60"><?php echo $description; ?></textarea></td>
		</tr>
		<tr>
			<td>
<?php
$crit = new Criteria();
$crit->add(FilesystemPeer::SECTION,Snippet::SECTION);
$crit->add(FilesystemPeer::REF_ID,$Snippet->getSnippetId());
$arr = FilesystemPeer::doSelect($crit);
if (count($arr) < 1) {
	echo '<strong>'.$Lang->getText('FrsRelease.NoFiles').'</strong>';
} else {
	$theader[] = $Lang->getText('Filesystem.FileNameName');
	$theader[] = $Lang->getText('Filesystem.FileTypeName');
	$theader[] = $Lang->getText('Filesystem.FileSizeName');
	$theader[] = $Lang->getText('Filesystem.PostedByName');
	$theader[] = $Lang->getText('Delete');

	echo $theme->tableTop($theader);

	foreach ($arr as $item) {
		$trow = array();
		$trow[]=$item->getFileName();
		//$trow[]=$item->getFileNameSafe();
		$trow[]=$item->getFileType();
		$trow[]=$item->getFileSize();
		$trow[]=$item->getUser()->getUserLink();
		$trow[]='<input type="checkbox" name="deletefile[]" value="'.$item->getFilesystemId().'"/>&nbsp;'.$Lang->getText('Delete');

		echo $theme->tableRow($trow);
	}

	echo $theme->tableBottom();
}
?>
			</td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Filesystem.AddNew'); ?></strong><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file">
			</td>
		</tr>
		<tr>
			<td>	
		<?php
			$renderer = new TroveRenderer();
			$renderer->setSection('snippet');
			$renderer->setRefId($Snippet->getSnippetId());
			$renderer->showTroveForm(array(TroveRenderer::TROVE_PROGRAMMING_LANGUAGE, 
									TroveRenderer::TROVE_TOPIC, 
									TroveRenderer::TROVE_LICENSE));
		?>
			</td>
		</tr>						
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","javascript:history.go(-1);")?>
			</td>
		</tr>	
		
		
	</table>
</form>
<?php
$theme->footer($params);
?>
