<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<script type="text/javascript">
<!--
var fieldsElements = new Array();
var defaultToId = <?php echo $default_to_element_id ?>;
var defaultChangeExtraFieldId = <?php echo $default_change_extra_field_id ?>;

fieldsElements[0] = {0 : "None" };

<?php 
foreach ($available_extra_fields_to as $extra_field) {
	$array_values = array();
	$extra_field_id = $extra_field->getTrackerExtraFieldId();
	$elements = $available_elements[$extra_field_id];
	foreach ($elements as $element) {
		$array_values[] = $element->getElementId().': "'.addslashes($element->getElementName()).'"';
	}
	
	echo 'fieldsElements['.$extra_field_id.'] = {'.implode(',', $array_values)."};\n";
}
?>

old_window_onload = window.onload;

window.onload = function() {
	for (i=0; i < document.mainForm.change_tracker_extra_field_id.options.length; i++) {
		if (document.mainForm.change_tracker_extra_field_id.options[i].value == defaultChangeExtraFieldId) {
			document.mainForm.change_tracker_extra_field_id.options[i].selected = true;
			showElements();
			break;
		}
	}
	
	old_window_onload();
}

function showElements()
{
	var extra_field_id = document.mainForm.change_tracker_extra_field_id.options[document.mainForm.change_tracker_extra_field_id.selectedIndex].value;
	
	for (x = document.mainForm.to_element_id.options.length; x >= 0; x--) {
		document.mainForm.to_element_id.options[x] = null;
	}
	
	var elements = fieldsElements[extra_field_id];
	
	for (i in elements) {
		var isSelected = (i == defaultToId);
		document.mainForm.to_element_id.options[document.mainForm.to_element_id.options.length] = new Option(elements[i], i, isSelected);
	}
}
-->
</script>

<p>
	<div class="infobox"><?php echo $Lang->getText('TrackerCommit.Description'); ?></div>
</p>
<form name="mainForm" action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerCommitEditAction') ?>" method="post">
<input type="hidden" name="tracker_id" value="<?php echo $_REQUEST['tracker_id']; ?>" />
	<table border="0">
		<tr>
			<td valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.Reassign'); ?></strong><br />
			<?php echo HTMLWidget::multiselect('assign_to_role_id[]',$project->getRoles(),$assign_to,null,false,null,false,null) ?></td>
		</tr>
		
		<?php
			//$fields_select = HTMLWidget::select('change_tracker_extra_field_id', $available_extra_fields_to);
			// We have to create this from scratch since we will be using javascript
			$fields_select = '<select name="change_tracker_extra_field_id" onChange="showElements()">';
			$fields_select .= '<option value="0">'.$Lang->getText('Common.None').'</option>';
			foreach ($available_extra_fields_to as $extra_field) {
				$fields_select .= '<option value="'.$extra_field->getTrackerExtraFieldId().'">'.$extra_field->getFieldName().'</option>';
			}
			$fields_select .= '</select>';
			
			$elements_select = '<select name="to_element_id"></select>';
		?>
			
		<tr>
			<td valign="top" colspan="4"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.ChangeFieldName', array($fields_select, $elements_select)); ?></strong><br />
		</tr>
		<?php
			if (is_object($trigger)) {
				$extra_field_to = TrackerExtraFieldPeer::retrieveByPk($trigger->getChangeTrackerExtraFieldId());
				if (!is_null($extra_field_to) && $extra_field_to->getUseWorkflow()) {
		?>
			<tr>
				<td class="warning"><?php echo $Lang->getText('TrackerTrigger.WorkflowWarning', array($extra_field_to->getFieldName())); ?>
			</tr>
		<?php
				}
			}
		?>

		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'TrackerEdit','tracker','admin',array('tracker_id' => $tracker->getTrackerId())) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
