<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('lib/html/HTMLWidget.php');
echo $theme->header($params);

$res=ActionManager::notify('ASSOCIATION_SECTION',$params);
$sections=array();
foreach ($res as $r) {
	$f=$r->getResult();
	$sections[$f[0]]=$f[1];
}
$sectionbox=HTMLWidget::selectBoxFromAssoc ($sections,'to_section',$to_section,false,false,null,false,null);

?>

<p>
	<strong><?php echo $Lang->getText('Association.AddNew'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('AssociationAddAction') ?>" method="POST">
<input type="hidden" name="from_section" value="<?php echo $from_section; ?>" />
<input type="hidden" name="from_ref_id" value="<?php echo $from_ref_id; ?>" />
<input type="hidden" name="return_to" value="<?php echo $return_to; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Association.SectionName'); ?></strong><br />
			<?php echo $sectionbox; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Association.RefIdName'); ?></strong><br />
			<input type="text" name="to_ref_id" value="<?php echo $to_ref_id; ?>" size="6" maxlength="10" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Association.CommentName'); ?></strong><br />
			<input type="text" name="comment" value="<?php echo $comment; ?>"  /></td>
		</tr>
		<tr>
			<td><?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?></td>
			<td><?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","javascript:history.go(-1);")?></td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
